import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';

@Component({
  selector: 'app-dialog',
  templateUrl: './dialog.component.html',
  styleUrls: ['./dialog.component.css']
})
export class DialogComponent implements OnInit {
  @Input() title: string;
  @Input() text: string;
  @Output() confirm = new EventEmitter();



  constructor() { }

  ngOnInit() {
    console.log('inputdata', this.title, this.text);
  }

  confirmDialog() {
    this.confirm.emit();
  }

}
